/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { ItemwiseStrategyCalculationStrategy } from "./ItemwiseStrategyCalculationStrategy";
import { markType } from "igniteui-react-core";
/**
 * @hidden
 */
export let ItemwiseStrategyBasedIndicator = /*@__PURE__*/ (() => {
    class ItemwiseStrategyBasedIndicator extends StrategyBasedIndicator {
        get_abm() {
            return new ItemwiseStrategyCalculationStrategy();
        }
        get abm() {
            return this.get_abm();
        }
        ab9() {
            return true;
        }
        constructor() {
            super();
        }
        ab0() {
            super.ab0();
            this.ab7 = this.ab8;
            this.abl.c = this.ab7;
        }
    }
    ItemwiseStrategyBasedIndicator.$t = /*@__PURE__*/ markType(ItemwiseStrategyBasedIndicator, 'ItemwiseStrategyBasedIndicator', StrategyBasedIndicator.$);
    return ItemwiseStrategyBasedIndicator;
})();
